function onBegin()
    
    setFlag("ukiran_YTTL_timebunny", false) -- if you somehow show up WITH the factor, it makes it so you don't die during it. wow!
    setFlag("ukiran_YTTL_start", true)
    disablePause() -- disables pausing so you dont fuck things up! wow!
    wait(0.9) -- waits for the slowdown to fully kick up

    -- plays the YTTL sound effect. The setFlag and wait allow for the words to sync, each text is timed.
    playSound("event:/ukiranMDspookFX/YTTL4_bright")
    setFlag("ukiran_YTTL_start", true)
    wait(0.2)
    setFlag("ukiran_YTTL_youreAlt", true)
    wait(0.5)
    setFlag("ukiran_YTTL_tooAlt", true)
    wait(0.6)
    setFlag("ukiran_YTTL_bright", true)
    wait(0.05)

    -- the glow of the text, barely noticable but nice nonetheless.
    setFlag("ukiran_YTTL_glowYoureAlt", true)
    setFlag("ukiran_YTTL_glowTooAlt", true)
    setFlag("ukiran_YTTL_glowBright", true)

    wait(0.05)

    setFlag("ukiran_YTTL_glowYoureAlt", false)
    setFlag("ukiran_YTTL_glowTooAlt", false)
    setFlag("ukiran_YTTL_glowBright", false)
    wait(0.70)
    

    -- housekeeping
    setFlag("ukiran_YTTL_start", false)
    setFlag("ukiran_YTTL_youreAlt", false)
    setFlag("ukiran_YTTL_tooAlt", false)
    setFlag("ukiran_YTTL_bright", false)
    enablePause()
end
